RUNDEF Section02

/*
COUNTING SELECTED INDIVIDUALS OF A HOUSEHOLD

Program description:
A household variable is derived by counting the number
of spouses of the head of the household (PERSON.RELAT=2). 
A simple frequency of the variable displays the results.

Note:
This program also checks the consistency of the database. 
The head of the household should have either 0 (zero) or 
no more than one spouse. 
*/

DEFINE HOUSIN.NSPOUSES AS COUNT PERSON
  FOR PERSON.RELAT = 2

TABLE VERIF AS FREQUENCY OF HOUSIN.NSPOUSES

/*
Results:
	Categories  Counts
	0            7009
	1            6910
	Total       13919

Comments:
1. There are no households with more than one spouse. 
2. However, it might be the case where there exists a spouse but no
   head in the household.
   In order to check that, see program in Section03.
*/