RUNDEF Section07
     COMPLETENAME
/*
DERIVING A VARIABLE USING THE RECODE FUNCTION 

Program description:
This program illustrates the derivation of a variable using
the RECODE technique. The age of individuals are recoded
into 3 categories, children, adults and elders.
The categories reflect a standard practice for age regrouping: 

	0  14   Children
	15 - 64  Adults
	64+      Elders
*/

DEFINE PERSON.GRP3 AS RECODE PERSON.AGE  
    (0 - 14=1)  (15 - 64=2)  (65 - HIGHEST =3)
    RANGE 1 - 3
    VARLABEL "Age groups 3"
    VALUELABELS 1 "Children" 2 "Adults" 3 "Elders"

TABLE VERIF AS FREQUENCY OF PERSON.GRP3

/*
Programming notes:
1. Each recode item is specified in between parenthesis.
2. The RECODE last range is specified by the keyword HIGHEST
   to insure that the highest value of the variable AGE is included.
   Similarly the keyword LOWEST might be used for specifying
   the lowest value of the database.
3. The ELSE clause could also be used to specify the last range, as in:
   (0 - 14=1)  (15 - 64=2)  else 3
   However, this would englobe ALL the values not defined in previous items.
4. The VALUELABELS clause documents the 3 categories. The entries are
   specified by the category value immediately followed by the category
   label between quotes (and at least one blank space between them).
5. The COMPLETENAME clause in the RUNDEF command forces the results
   to be shown by the category value and label (without this clause only
   the label would be shown). This clause can be established directly in the TABLE command.   

Results:
    Categories   Counts	      %
    1. Children   17965    34,4
    2. Adults     30886    59,2
    3. Elders      3338     6,4
    Total         52189   100,0

Comments:
1. The adults represent the 59,2% of the population.
*/