RUNDEF Section09

/*
CREATION OF A PERMANENT VARIABLE
Number of children

Program description:
The program creates a variable at the household level (number of children
in household). It is obtained by counting the number of children of the
household, a child being defined as a person minor of age (PERSON.AGE < 15)
and declared as child of head (PERSON.RELAT = 4).
*/

DEFINE HOUSIN.NCHILDREN AS COUNT PERSON
  FOR PERSON.RELAT = 4 AND PERSON.AGE < 15
  VARLABEL "Number of Children in Household"
  RANGE 0 - 20
  SAVE "HOUSIN_NCHILDREN.rbf" OVERWRITE
  
TABLE VERIF AS FREQUENCY OF HOUSIN.NCHILDREN

/*
Programming notes:
1. There is no difference between this and the program in Section05,
   but we need to create this variable to be used in later examples.
   
Results:
Categories   Counts
 0            7936
 1            2137
 2            1944
 3            1103
 4             489
 5             207
 6              51
 7              34
 8              10
 9               4
 10              4
 Total       13919

Comments:
1. 7936 households have no children, and 4 households have 10 children.
2. Do not forget to save the dictionary after executing the program.
*/