RUNDEF Section14

/*
CREATION OF AN INDICATOR
Transportation availability

Program description:
This program creates a variable at the household level (entity HOUSIN) 
that contains the number of transportation types available in the household. 
This number varies from 0 to 3, based on the category 1 of the variables 
BICYCL, CAR and MCYCLE. 
*/

DEFINE HOUSIN.TRANSP
  AS HOUSIN.BICYCL + HOUSIN.CAR + HOUSIN.MCYCLE
  VARLABEL "Number of available transportation types"

TABLE VERIF AS FREQUENCY OF HOUSIN.TRANSP

/*
Programming notes:
1. The direct sum of the variables is possible because none of them 
   have the notapplicable or the missing categories. If that was not the case, 
   we would need to define an intermediate variable to eliminate those values, 
   otherwise the arithmetic sum would become invalid as well.
   define HOUSIN.V1 as HOUSIN.BICYCL
       default 0
        
Results:
Categories  Counts      %
 0            8966   64,4
 1            4067   29,2
 2             852    6,1
 3              34    0,2
 Total       13919  100,0

Comments:
1. Almost 65% of the households have no private transportation.
*/
