RUNDEF Section16

/*
CREATION OF AN INDICATOR
Proportion of Households with cars by County

Program description:
This program creates a variable for car availability at County level
by counting the number of households declaring to have cars,
and divide by the number of households in the County.
*/

DEFINE COUNTY.NHOUSES AS COUNT HOUSIN
   VARLABEL "Total Houses"

DEFINE COUNTY.NCARS AS COUNT HOUSIN
  FOR HOUSIN.CAR = 1
  VARLABEL "Houses having cars"
  
DEFINE COUNTY.PERC
  AS 100 * (COUNTY.NCARS / COUNTY.NHOUSES)
  TYPE REAL
  VARLABEL "Percent having cars"
  DECIMALS 1
  
TABLE VERIF AS AREALIST OF COUNTY, COUNTY.NCOUNTY,
  COUNTY.NCARS, COUNTY.NHOUSES, COUNTY.PERC
  DECIMALS 1
  
/*
Programming notes:
1. The TOTAL option should not be used here, since there is a percentage
   (last column) thta cannot be summed. It might be used if the value
   obtained in the last column is disregarded.
   
Results:
Code County Name  Houses having cars  Total Houses  Percent having cars
5    Santa Maria                 747          5311                 14,1
6    Santiago                    126          1975                  6,4
7    Bolivar                     375          3299                 11,4
8    Marbella                    142          1959                  7,2
9    Puerto Nuevo                 74          1375                  5,4

Comments:
1. The County best served by this indicator is Santa Mara.
*/
